Class | Bio::KEGG::KGML::SubstrateProduct
In: | lib/bio/db/kegg/kgml.rb
Parent: | Object

Bio::KEGG::KGML::SubstrateProduct contains a substrate element or a product element in the KGML.

Please do not use SubstrateProduct directly. Instead, please use Substrate or Product class.

### Methods

new

### Attributes

id | [RW] | ID of this substrate or product (Integer or nil)
name | [RW] | name of this substrate or product (String or nil)

### Public Class methods

new(id = nil, name = nil)

Creates a new object

[Source]

         # File lib/bio/db/kegg/kgml.rb, line 516
    516:     def initialize(id = nil, name = nil)
    517:       @id ||= id
    518:       @name ||= name
    519:     end

[Validate]